Bug 656847 - Kdevelop does not start because of missing symbol in kdevokteta.so.
Summary: Kdevelop does not start because of missing symbol in kdevokteta.so.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdevelop
Version: 13
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 10:20 UTC by Krzesimir Nowak
Modified: 2011-06-28 10:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 10:25:18 UTC
Type: ---


Attachments (Terms of Use)

Description Krzesimir Nowak 2010-11-24 10:20:23 UTC
Description of problem:
Kdevelop does not start.

Version-Release number of selected component (if applicable):
4.1.0-1.fc13

How reproducible:
No testing repos are enabled. Install newest kdevelop from updates.

Steps to Reproduce:
1. Run kdevelop.
2.
3.
  
Actual results:
kdevelop(2671)/kdevplatform (language) KDevelop::ItemRepositoryRegistry::open: version-hint not found, seems to be an old version 
kdevelop(2671)/kdevplatform (language) KDevelop::ItemRepositoryRegistry::open: "The data-repository at /home/zylkat/.kdevduchain/{62ad452e-ac6e-45fb-b6b8-71f490625524}/0 has to be cleared." 
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
QFSFileEngine::map: Mapping a file beyond its size is not portable
kdevelop: symbol lookup error: /usr/lib/kde4/kdevokteta.so: undefined symbol: _ZN6Kasten19ChecksumToolFactoryC1Ev

Expected results:
Kdevelop starts.

Additional info:

Comment 1 Krzesimir Nowak 2010-11-24 10:35:46 UTC
Installing kdevelop was done with command:
yum update kdevelop

I solved it by running yum update kdeutils-libs, which provides okteta libs, which are used by kdevokteta.so. Maybe kdevelop should also depend on kdeutils-libs?

Comment 2 Kevin Kofler 2010-11-24 21:24:57 UTC
Yeah, missing versioned dependency on kdeutils-libs.

(Yet another issue caused by selective updates… Why do our tools allow those without even a warning that selective updating is completely untested and may or may not work?)

Comment 3 Bug Zapper 2011-05-30 13:29:15 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-28 10:25:18 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.